Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
D3D12_SHADER_RESOURCE_VIEW_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes
DXGI_FORMAT | Format
D3D12_SRV_DIMENSION | ViewDimension
UINT | Shader4ComponentMapping
union { |
D3D12_BUFFER_SRV Buffer |
D3D12_TEX1D_SRV Texture1D |
D3D12_TEX1D_ARRAY_SRV Texture1DArray |
D3D12_TEX2D_SRV Texture2D |
D3D12_TEX2D_ARRAY_SRV Texture2DArray |
D3D12_TEX2DMS_SRV Texture2DMS |
D3D12_TEX2DMS_ARRAY_SRV Texture2DMSArray |
D3D12_TEX3D_SRV Texture3D |
D3D12_TEXCUBE_SRV TextureCube |
D3D12_TEXCUBE_ARRAY_SRV TextureCubeArray |
}; |  |

## Detailed Description

Definition at line 2403 of file mini_d3d12.h.

## Member Data Documentation

## ◆ Format

DXGI_FORMAT D3D12_SHADER_RESOURCE_VIEW_DESC::Format

Definition at line 2404 of file mini_d3d12.h.

## ◆ ViewDimension

D3D12_SRV_DIMENSION D3D12_SHADER_RESOURCE_VIEW_DESC::ViewDimension

Definition at line 2405 of file mini_d3d12.h.

## ◆ Shader4ComponentMapping

UINT D3D12_SHADER_RESOURCE_VIEW_DESC::Shader4ComponentMapping

Definition at line 2406 of file mini_d3d12.h.

## ◆ Buffer

D3D12_BUFFER_SRV D3D12_SHADER_RESOURCE_VIEW_DESC::Buffer

Definition at line 2408 of file mini_d3d12.h.

## ◆ Texture1D

D3D12_TEX1D_SRV D3D12_SHADER_RESOURCE_VIEW_DESC::Texture1D

Definition at line 2409 of file mini_d3d12.h.

## ◆ Texture1DArray

D3D12_TEX1D_ARRAY_SRV D3D12_SHADER_RESOURCE_VIEW_DESC::Texture1DArray

Definition at line 2410 of file mini_d3d12.h.

## ◆ Texture2D

D3D12_TEX2D_SRV D3D12_SHADER_RESOURCE_VIEW_DESC::Texture2D

Definition at line 2411 of file mini_d3d12.h.

## ◆ Texture2DArray

D3D12_TEX2D_ARRAY_SRV D3D12_SHADER_RESOURCE_VIEW_DESC::Texture2DArray

Definition at line 2412 of file mini_d3d12.h.

## ◆ Texture2DMS

D3D12_TEX2DMS_SRV D3D12_SHADER_RESOURCE_VIEW_DESC::Texture2DMS

Definition at line 2413 of file mini_d3d12.h.

## ◆ Texture2DMSArray

D3D12_TEX2DMS_ARRAY_SRV D3D12_SHADER_RESOURCE_VIEW_DESC::Texture2DMSArray

Definition at line 2414 of file mini_d3d12.h.

## ◆ Texture3D

D3D12_TEX3D_SRV D3D12_SHADER_RESOURCE_VIEW_DESC::Texture3D

Definition at line 2415 of file mini_d3d12.h.

## ◆ TextureCube

D3D12_TEXCUBE_SRV D3D12_SHADER_RESOURCE_VIEW_DESC::TextureCube

Definition at line 2416 of file mini_d3d12.h.

## ◆ TextureCubeArray

D3D12_TEXCUBE_ARRAY_SRV D3D12_SHADER_RESOURCE_VIEW_DESC::TextureCubeArray

Definition at line 2417 of file mini_d3d12.h.

## ◆ [union]

union { ... } D3D12_SHADER_RESOURCE_VIEW_DESC

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h